## systemd 256.5

=== debian/changelog ===
systemd (256.5-2ubuntu3) oracular; urgency=medium

  * d/control: demote systemd-cryptsetup from Recommends: to Suggests: of systemd
  * test: skip TEST-69-SHUTDOWN on ubuntu too (LP: #2083704)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 04 Oct 2024 11:37:37 -0400

systemd (256.5-2ubuntu2) oracular; urgency=medium

  * initramfs-tools: ensure rules file exists before invoking chzdev (LP: #2079993)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 09 Sep 2024 09:42:11 -0400

systemd (256.5-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - debian/systemd.postinst: do not create /etc/tmpfiles.d/tmp.conf on upgrades.
      We want the upgrades on Ubuntu to be aligned with what a new install
      would look like.
    - d/control: do not build systemd-boot-efi-{amd64,arm64}-signed-template
  * New changes:
    - Keep utmp support for this release, since we are passed Feature Freeze
      in Ubuntu.
    - Filter out zdev rules in the initramfs hook (LP: #2044104)
    - d/t/upstream: honor /etc/apt configured by autopkgtest

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 06 Sep 2024 09:21:01 -0400

systemd (256.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix stage1 build (Closes: #1078821)

  [ Luca Boccassi ]
  * Disable utmp support, replaced by wtmpdb. utmp is not y2038-safe, util-
    linux has now turned it off and relies on logind, so disable utmp
    support in logind too, as it is no longer necessary. wtmpdb replaces
    the functionality.

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Sep 2024 22:03:06 +0100

systemd (256.5-1) unstable; urgency=medium

  * New upstream version 256.5
  * Drop patch merged upstream
  * autopkgtest: skip TEST-64-UDEV-STORAGE due to qemu crash. This tests
    randomly causes qemu to crash, making it very flaky, skip it
    downstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Aug 2024 22:00:36 +0100

systemd (256.4-3) unstable; urgency=medium

  * Drop redundant pot build. This was added many years ago, when
    apparently the upstream pot generation wasn't run or wasn't working.
    This is not the case anymore, pot files are regenerated upstream and
    checked in on every release, so this manual step just updates the
    timestamp in the existing template and nothing else. Drop it.
  * Use debian/clean instead of override in d/rules
  * Stop shipping empty /etc/init.d directory. We do not have any need for
    it, and will soon stop supporting legacy init files, so stop shipping
    it
  * Use d/not-installed instead of manual removals. We no longer install
    in the main package with a wildcard so we do not need to manually
    delete files, listing them in d/not-installed is sufficient. The only
    exceptions are files picked up by directory/wildcard entries in
    dh_install that have to be deleted.
  * autopkgtest: run upstream test last. It is the most complex and thus
    the most likely to show temporary failures, so move it last so that
    it's easier to read the logs
  * autopkgtest: use hint-testsuite-triggers to ensure other packages
    changes trigger our testsuite
  * Depend on new linux-bpf-dev package where available

 -- Luca Boccassi <bluca@debian.org>  Sun, 11 Aug 2024 11:53:32 +0100

systemd (256.4-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:

