=== debian/rules ===
--- 
+++ 
@@ -136,9 +136,9 @@
 	-Dcryptolib=openssl \
 	-Ddns-over-tls=openssl \
 	-Dlibfido2=enabled \
-	-Dtpm2=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
+	-Dtpm2=enabled \
 	-Dp11kit=enabled \
-	-Dqrencode=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
+	-Dqrencode=enabled \
 	-Dpwquality=enabled \
 	-Dhomed=enabled \
 	-Duserdb=true \
@@ -245,3 +245,4 @@
 execute_after_dh_install-arch:
 	# Ubuntu specific files
 ifeq ($(DEB_VENDOR),Ubuntu)
+	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py
