=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 Tests: unit-config
 Depends: systemd,
-  udev,
   systemd-resolved,
   systemd-dev,
   libpam-systemd,
@@ -25,7 +24,6 @@
 
 Tests: storage
 Depends: systemd,
-  udev,
   systemd-resolved,
   systemd-cryptsetup,
   libpam-systemd,
@@ -41,7 +39,6 @@
 Tests: networkd-test.py
 Tests-Directory: test
 Depends: systemd,
-  udev,
   systemd-resolved,
   systemd-cryptsetup,
   libpam-systemd,
@@ -60,7 +57,6 @@
 
 Tests: build-login
 Depends: systemd,
-  udev,
   systemd-resolved,
   systemd-cryptsetup,
   libpam-systemd,
@@ -80,8 +76,6 @@
 
 Tests: boot-and-services
 Depends: systemd-sysv,
-  systemd,
-  udev,
   systemd-container,
   systemd-coredump,
   systemd-resolved,
@@ -91,7 +85,7 @@
   libelf-dev,
   xserver-xorg-video-dummy,
   xserver-xorg,
-  gdm3 [amd64],
+  gdm3 [!s390x !riscv64 !armel],
   cron,
   network-manager,
   busybox-static,
@@ -126,10 +120,10 @@
   iputils-ping,
   dbus-user-session,
   zstd,
-  libtss2-dev [!i386],
+  libtss2-dev,
   libfido2-dev,
   libdw-dev,
-  libqrencode-dev [!i386],
+  libqrencode-dev,
   libpwquality-dev,
   libarchive-dev,
   libgcrypt20-dev,
@@ -137,19 +131,23 @@
   tzdata-legacy | tzdata (<< 2024a-1),
 Restrictions: needs-root, isolation-container, breaks-testbed
 
-Tests: tests-in-lxd
-Depends: systemd-tests,
-  udev,
-  libpam-systemd,
-  autopkgtest,
-  lsb-release,
-  snapd,
-Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable
+Tests: boot-smoke
+Depends: systemd-sysv,
+  systemd-resolved,
+  network-manager,
+  gdm3 [!s390x !riscv64 !armel],
+  xserver-xorg-video-dummy,
+Restrictions: needs-root, isolation-container, allow-stderr, breaks-testbed
+
+Tests: build-with-static-libsystemd
+Depends: systemd,
+  systemd-resolved,
+  pkgconf,
+  build-essential,
+  libsystemd-dev,
+  libcap-dev,
 
 # Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net
 Features: test-name=hint-testsuite-triggers
 Test-Command: /bin/true
 Depends: linux-image-generic,
-         linux-image-amd64 [amd64],
-         linux-image-arm64 [arm64],
-         qemu-system-x86 [amd64],
