## systemd 257~rc2

=== debian/changelog ===
systemd (257~rc2-3) unstable; urgency=low

  * Backport patch to remove faulty unit test assertion

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 10:13:56 +0000

systemd (257~rc2-2) unstable; urgency=low

  * Backport patch to fix FTBFS due to failing unit test

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 00:36:08 +0000

systemd (257~rc2-1) unstable; urgency=low

  * d/t/control: add more packages to dummy hint-testsuite-triggers. A
    regression was introduced by nvme-cli in testing because the testsuite
    doesn't depend on it anymore directly, as mkosi builds it in the
    image. Add back all the tools/libraries that are only part of the
    mkosi guest image, so that autopkgtest triggers when they get updated,
    and regressions can be flagged before they migrate to testing.
  * Update upstream source from tag 'upstream/257_rc2'
  * Drop all patches, merged upstream
  * Install new systemd-keyutil binary in the systemd-repart package
  * systemd-ukify: downgrade dependency on systemd, not mandatory. It is
    necessary for the systemd-measure binary, but its usage is optional
    behind a specific argument, so the dependency can be downgraded
    (Closes: #1087322)
  * systemd-ukify: recommend systemd-repart. Needed for the systemd-sbsign
    and systemd-keyutil binaries
  * d/rules: adjust blhc override to account for source files being moved
  * Update lintian override to ignore false positive typos

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Nov 2024 19:49:02 +0000

systemd (257~rc1-4) unstable; urgency=medium

  * Backport patch to fix TEST-07-PID1 integration test

 -- Luca Boccassi <bluca@debian.org>  Fri, 08 Nov 2024 01:09:19 +0000

systemd (257~rc1-3) unstable; urgency=low

  * Backport another patch to fix test failure on buildd

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Nov 2024 11:13:25 +0000

systemd (257~rc1-2) unstable; urgency=low

  * Backport patch to fix unit test failure on buildd

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Nov 2024 09:35:17 +0000

systemd (257~rc1-1) unstable; urgency=low

  * gbp.conf: switch upstream branch to full upstream history
  * Update to new upstream version v257~rc1. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc1
  * Drop all patches, merged upstream
  * Install new files
  * List new libsystemd0 symbols
  * Ignore Lintian warning dh-exec-script-without-dh-exec-features
  * d/copyright: remove pattern for directory that is no longer present

 -- Luca Boccassi <bluca@debian.org>  Wed, 06 Nov 2024 23:58:55 +0000

systemd (256.7-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Backport patch to fix test failures with tzdata 2024b-1
  * systemd-boot: provide provisional integration with shim. Not yet
    used, will be active once the signed packages are available.
    https://wiki.debian.org/SecureBoot#Secure_Boot_setup_with_systemd-boot

  [ Kirill Rekhov ]
  * d/systemd.postrm: delete more internal state directories on purge

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 Nov 2024 18:13:09 +0000

systemd (256.7-2) unstable; urgency=medium

  [ Nick Rosbrook ]
  * d/systemd.postinst: do not restart systemd-binfmt.service if masked
    (LP: #2077869)

  [ Luca Boccassi ]
  * systemd-boot: depend on systemd for kernel-install (Closes: #1085012)
  * Disable utmp support, not y2038 safe. utmp support in tmux has been
    disabled, so autopkgtest should no longer break
  * Backport fixes for upstream autopkgtest suite

  [ Benjamin Drung ]
  * initramfs-tools: support missing /etc/udev/udev.conf. Installing
    initramfs-tools fails in case `/etc/udev/udev.conf` is removed
    (LP: #2084592)

 -- Luca Boccassi <bluca@debian.org>  Fri, 18 Oct 2024 15:47:12 +0100
