=== debian/rules ===
--- 
+++ 
@@ -111,6 +111,7 @@
 	-Dresolve=true \
 	-Dstatus-unit-format-default=combined \
 	-Dstandalone-binaries=true \
+	-Dutmp=false \
 	-Dmode=$(if $(filter pkg.systemd.upstream,$(DEB_BUILD_PROFILES)),developer,release)
 
 ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES))$(filter noinsttest,$(DEB_BUILD_PROFILES)),nochecknoinsttest)
@@ -225,7 +226,7 @@
 	# blhc false positives: C++ fuzz test program, cc -E flags listing, PE-COFF EFI binaries
 	@echo 'blhc: ignore-line-regexp: .* -o test-bus-vtable-cc.*'
 	@echo 'blhc: ignore-line-regexp: .*cc -E.*'
-	@echo 'blhc: ignore-line-regexp: .* -o src/boot/efi.*'
+	@echo 'blhc: ignore-line-regexp: .* -o src/boot/.*'
 
 execute_before_dh_auto_clean:
 ifneq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
