=== debian/tests/control ===
--- 
+++ 
@@ -150,4 +150,5 @@
 # Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net
 Features: test-name=hint-testsuite-triggers
 Test-Command: /bin/true
-Depends: linux-image-generic,
+Depends:
+  linux-image-generic,
