=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
                jq [amd64 arm64] <!stage1 !pkg.systemd.upstream>,
                python3-pyparsing <!nocheck>,
                python3-evdev:native <!nocheck>,
-               tzdata-legacy <!nocheck> | tzdata (<< 2024a-1) <!nocheck>,
+               tzdata-legacy <!nocheck> | tzdata (<< 2024b-3) <!nocheck>,
                libcap2-bin <!nocheck>,
                iproute2 <!nocheck>,
                zstd <!nocheck>,
